> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Dream 一覧

> 現在のユーザーの Dream 一覧を取得します。

`GET /api/v1/cloud/dreams`

現在のユーザーの Dream を作成日時の降順で一覧表示します。レスポンスの `data` 配列には [Dream オブジェクト](/ja/cloud-agents/api/dreams/schemas#dream-object) が含まれます。

## ヘッダー

| ヘッダー            | 必須 | 説明             |
| --------------- | -- | -------------- |
| `Authorization` | はい | `Bearer <PAT>` |

## クエリパラメータ

| パラメータ              | 型       | 必須  | デフォルト | 説明                                                          |
| ------------------ | ------- | --- | ----- | ----------------------------------------------------------- |
| `limit`            | integer | いいえ | 20    | 最大件数。範囲は 1〜100。100 を超える値は `400 invalid_request_error` を返します |
| `include_archived` | boolean | いいえ | false | アーカイブ済みの Dream を含めるか                                        |

## リクエスト例

```bash theme={null}
curl -s 'https://api.qoder.com/api/v1/cloud/dreams?limit=5' \
  -H "Authorization: Bearer $QODER_PAT"
```

## レスポンス例

**HTTP 200 OK**

```json theme={null}
{
  "data": [
    {
      "id": "drm_019e86b4a8f070a3b6c5d4e3f2a1b0c9",
      "type": "dream",
      "status": "completed",
      "inputs": [{ "type": "memory_store", "memory_store_id": "memstore_019e5cdb9c3f71c3b6505eba937a40b4" }],
      "outputs": [{ "type": "memory_store", "memory_store_id": "memstore_019e86b4b10578059435632bb357c5ed", "files_touched": ["preferences.md"] }],
      "model": { "id": "auto" },
      "instructions": "",
      "session_id": "sess_019e86b4b10578059435632bb357c5ed",
      "usage": { "input_tokens": 12500, "output_tokens": 3200, "cache_creation_input_tokens": 0, "cache_read_input_tokens": 8000 },
      "error": null,
      "created_at": "2026-06-15T10:00:00Z",
      "ended_at": "2026-06-15T10:03:42Z",
      "archived_at": null
    }
  ]
}
```

## エラー

| HTTP | 種別                     | トリガー           |
| ---- | ---------------------- | -------------- |
| 401  | `authentication_error` | 認証トークンが欠落または無効 |

完全なエラーエンベロープは [エラーリファレンス](/ja/cloud-agents/api/conventions/errors) を参照してください。
